%bcond_without check

%global goipath         github.com/anmitsu/go-shlex
%global commit          38f4b401e2be5955e3e00b843d96e3c406f5094d

%gometa

%global common_description %{expand:
Package Shlex provides a simple lexical analysis like Unix shell.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        Library to make a lexical analyzer like Unix shell for Go

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Thu Aug 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
